<template>
  <VueApexCharts
    type="area"
    :height="height"
    :width="width"
    :options="chartOptions"
    :series="series"
  />
</template>

<script>
import VueApexCharts from "vue3-apexcharts";

export default {
  name: "ChartProfile",
  components: {
    VueApexCharts,
  },
  props: {
    height: String,
    width: String,
    color: {
      default: "#ff0000",
    },
    opacity: {
      default: "0.4",
    },
    chartData: {
      default: [0],
    },
    animationDuration: {
      type: Number,
      default: 800,
    },
  },
  computed: {
    series() {
      return [
        {
          name: "series-1",
          data: this.chartData,
        },
      ];
    },
  },
  data() {
    return {
      chartOptions: {
        colors: [this.color],
        // theme: {
        //   palette: "palette9", //https://apexcharts.com/docs/options/theme/#palette
        // },
        chart: {
          id: "chart_profile",
          // toolbar: {
          //   show: false,
          // },
          // zoom: {
          //   enabled: false,
          // },
          sparkline: {
            enabled: true, //hides all the elements of the charts other than the primary paths
          },
          animations: {
            enabled: true,
            //easing: "easeinout",
            dynamicAnimation: {
              enabled: true,
              speed: this.animationDuration,
            },
          },
        },
        stroke: {
          show: false,
          curve: "smooth",
        },
        fill: {
          type: "gradient", //  "gradient" / "solid" / "pattern" / "image",
          gradient: {
            shade: "light",
            type: "horizontal",
            shadeIntensity: 0.1,
            inverseColors: true,
            opacityFrom: 0.2,
            opacityTo: this.opacity,
            stops: [0, 100],
            colorStops: [],
          },
        },
        // xaxis: {
        //   show: false,
        //   labels: {
        //     show: false,
        //   },
        // },
        // yaxis: {
        //   show: false,
        // },
        tooltip: {
          enabled: false,
        },
        // dataLabels: {
        //   enabled: false,
        // },
        // grid: {
        //   show: false,
        // },
      },
    };
  },
};
</script>
